body {
    background-color: var(--bg-color);
    font-family: var(--font-body);
    height: 100%;
}

.main {
   
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1;
}
.main-content {
    
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sidebar {
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 1150px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;
}

.sidebar-image {
    max-width: 400px;
    width: 100%;
    margin: 0 auto 30px;
    border-radius: 10px;
    justify-content: center;
    box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.2);
    background-color: var(--primary-color);
}


.content {
    
    width: 100%;            /* ocupa 100% da .sidebar sem ultrapassar */
    max-width: 100%;
    height: auto;
    display: flex;
    text-align: justify;
    flex-direction: column;
}



.text-content {
    
    font-size: 16px;
    color: var(--text-muted);
    line-height: 1.6;
    
}


.text-content p {
    margin-bottom: 20px;
}

.title {
    font-family: var(--font-titles);
    display: inline;
    font-size: 35px;
    font-weight: 700;
}

hr {
    border: 0;
    height: 1px;
    background: var(--primary-color);
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0.1), var(--primary-color), rgba(255, 255, 255, 0.1));
    margin-bottom: 20px;
}


.funcionamento  {

display: flex;
margin-left: auto;
margin-right: auto;
width: 100%;
max-width: 1150px;
height: auto;
flex-direction: column;
align-content: center;
align-items: center;
  
}


.contato {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    color: var(--primary-color);
    background-color: transparent;
}

.redes-sociais {
    display: flex;
    align-items: center;
}

.redes-sociais span {
    margin-right: 15px;
    font-size: 16px;
}


@media  screen and (max-width: 900px) {
    .sidebar {
        flex-direction: column-reverse;
        
    }

    .sidebar-image {
        width: 80%;
        margin: 0 0 20px 0;
    }

    .content {
        height: auto;
        width: 90%;
        text-align: justify;
    }

     .text-content {
        font-size: 20px;
        text-rendering: optimizeLegibility;
        text-align: left;
    }
    
}

@media  screen and (max-width: 1150px) {
    .sidebar {
        flex-direction: column-reverse;
        
    }

    .sidebar-image {
        width: 50%;
        margin: 0 0 20px 0;
    }

    .content {
        height: auto;
        width: 90%;
        text-align: justify;
    }

     .text-content {
        font-size: 20px;
        text-rendering: optimizeLegibility;
        text-align: left;
    }
    
}
